Subject: Re: linux-next: build failure after merge of the sound-asoc tree

From: Sean Cross <[email-masked]>
Date: Mon, 18 Aug 2014 14:51:15 +0800

On 08/18/14 06:30, Stephen Rothwell wrote:
> Hi all,
>
> After merging the sound-asoc tree, today's linux-next build (powerpc allyesconfig)
> failed like this:
>
> sound/soc/fsl/imx-pcm-fiq.c:31:21: fatal error: asm/fiq.h: No such file or directory
>  #include <asm/fiq.h>
>                      ^
>
> Caused by commit 7e7292dba215 ("ASoC: fsl: add imx-es8328 machine
> driver").  Presumably it will only build on arm?
>
> I reverted that commit for today.
The following patch should fix the problem:

diff --git a/sound/soc/fsl/Kconfig b/sound/soc/fsl/Kconfig
index c0ace69..13199b5 100644
--- a/sound/soc/fsl/Kconfig
+++ b/sound/soc/fsl/Kconfig
@@ -237,8 +237,6 @@ config SND_SOC_IMX_ES8328
     select SND_SOC_IMX_PCM_DMA
     select SND_SOC_IMX_AUDMUX
     select SND_SOC_FSL_SSI
-    select SND_SOC_FSL_UTILS
-    select SND_SOC_IMX_PCM_FIQ
     help
       Say Y if you want to add support for the ES8328 audio codec connected
       via SSI/I2S over either SPI or I2C.

That gives it almost the exact same kernel config as the SGTL5000.

Is this the sort of thing you can apply on your end, or would you like
me to resubmit a v12 with just this file?  I'm afraid I don't have a PPC
toolchain to test with.

Sean